//
//  SuccessScreen.h
//  GlobalGameJam15
//
//  Created by Cesar Parent on 25/01/2015.
//  Copyright (c) 2015 Cesar Parent. All rights reserved.
//

#ifndef __GlobalGameJam15__SuccessScreen__
#define __GlobalGameJam15__SuccessScreen__

#include <PixelKit/PixelKit.h>

using namespace PixelKit;

class DungeonGame;

class SuccessScreen : public Layer, ControlDelegate
{
public:
	SuccessScreen(Game& game);
	virtual ~SuccessScreen();
	
	virtual void update(int timeInterval) override;
	
#pragma mark delegates
	
	virtual void didBecomeChild();
	virtual void didExitParent();
	
	virtual void controllerDidConnect(int controllerID){};
	virtual void controllerDidDisconnect(int controllerID){};
	virtual void controllerButtonPressBegan(int controller, SDL_GameControllerButton button);
	virtual void controllerButtonPressEnded(int controller, SDL_GameControllerButton button){};
	virtual void controllerAxisMoved(int controller, SDL_GameControllerAxis, Sint16 value){};
	virtual void keyboardPressBegan(SDL_Scancode key);
	virtual void keyboardPressEnded(SDL_Scancode key){};
	
protected:
	
	SpriteNode* _chest;
	SpriteNode* _item;
	LabelNode* _label;
	
	int _countdown;
};

#endif /* defined(__GlobalGameJam15__SuccessScreen__) */
